Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 548110 (CVE-2015-8915) - <app-arch/libarchive-3.2.1-r1: crash via malformed cpio archive (CVE-2015-8915)
Summary: <app-arch/libarchive-3.2.1-r1: crash via malformed cpio archive (CVE-2015-8915)
Status: RESOLVED FIXED
Alias: CVE-2015-8915
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: CVE-2015-8916, CVE-2015-8917, CVE-2015-8918, CVE-2015-8919, CVE-2015-8920, CVE-2015-8921, CVE-2015-8922, CVE-2015-8923, CVE-2015-8924, CVE-2015-8925, CVE-2015-8926, CVE-2015-8927, CVE-2015-8928, CVE-2015-8929, CVE-2015-8930, CVE-2015-8931, CVE-2015-8932, CVE-2015-8933, CVE-2015-8934
Blocks:
  Show dependency tree
 
Reported: 2015-04-29 07:31 UTC by Agostino Sarubbo
Modified: 2017-01-01 14:34 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-04-29 07:31:06 UTC
From ${URL} :

An out-of-bounds read flaw was found in the way libarchive processed certain CPIO archives. An 
attacker could create a specially crafted CPIO archive that, when processed by an application using 
the libarchive library, would cause that application to crash.

Additional details:

http://seclists.org/fulldisclosure/2015/Apr/102
https://github.com/libarchive/libarchive/issues/502

Upstream patch:

https://github.com/libarchive/libarchive/commit/e6c9668f3202215ddb71617b41c19b6f05acf008


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-27 13:15:41 UTC
This is fixed in 3.2.1 as well.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-06 03:17:43 UTC
Added to existing GLSA.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-01-01 14:10:23 UTC
CVE assignment: http://seclists.org/oss-sec/2016/q2/566

Upstream bug https://github.com/libarchive/libarchive/issues/503 mentioned in the CVE assignment was identified as duplicate of /issues/502 from our comment #0.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-01 14:34:13 UTC
This issue was resolved and addressed in
 GLSA 201701-03 at https://security.gentoo.org/glsa/201701-03
by GLSA coordinator Thomas Deutschmann (whissi).